| citeproc-hs-0.2: A Citation Style Language implementation in Haskell | Source code | Contents | Index
Text.CSL.Output.Pandoc |
Portability | unportable
Stability | unstable
Maintainer | Andrea Rossato <andrea.rossato@unitn.it>
Description
The pandoc output formatter for CSL
Synopsis
renderPandoc :: Style -> [FormattedOutput] -> String
renderPandocStrict :: [FormattedOutput] -> String
renderPandoc' :: Style -> [FormattedOutput] -> String
data Pandoc = Pandoc Meta [Block]
data Meta = Meta [Inline] [String] String
Documentation
renderPandoc :: Style -> [FormattedOutput] -> String | Source
With a `Style` and the formatted output generate a `String` in the native `Pandoc` formats (i.e. immediately readable by pandoc).
renderPandocStrict :: [FormattedOutput] -> String | Source
Same as `renderPandoc`, but will not clean up the produced output.
renderPandoc' :: Style -> [FormattedOutput] -> String | Source
Same as `renderPandoc`, but the output is wrapped in a pandoc paragraph block.
data Pandoc | Source
Constructors
Pandoc Meta [Block] |
Instances
Eq Pandoc
Read Pandoc
Show Pandoc
data Meta | Source
Constructors
Meta [Inline] [String] String |
Instances
Eq Meta
Read Meta
Show Meta
Produced by Haddock version 2.4.2